0 Replies Latest reply on Dec 25, 2013 12:46 AM by Sanjay Phadke

    solidworks default property manager page get

    Sanjay Phadke

      Hello all

      I want to close default property manager page dialog in drawing environment

      but at the same time selection should retain

      my code is as belo

       

      Private Function SWDOC_UserSelectionPostNotify() As Long

       

      Set swApp = GetObject("", "SldWorks.Application")

      Set swModel = swApp.ActiveDoc

        Set SWDOC = swModel

          Set swselmgr = swModel.SelectionManager

                  If chksel = True Then

                     chksel = False

                 Exit Function

              Else

                       swApp.RunCommand swCommands_e.swCommands_PmOK, ""

       

             Exit Function

        

          End If

         

      End Function

       

      attached screenshot for your ref

      in first screenshot user selects block - (default pm page displayed)

      second screenshot only selection remains ( closed pm page manually - I want to automate this at the same time selection must remain there)

       

       

      - Sanjay